Skip to main content
GET
/
ecommerce
/
orders
List orders
curl --request GET \
  --url https://api.service.getjusto.com/v3/ecommerce/orders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.service.getjusto.com/v3/ecommerce/orders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.service.getjusto.com/v3/ecommerce/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "items": [
      {
        "_id": "ord-123",
        "isScheduled": true,
        "isConfirmed": true,
        "websiteId": "<string>",
        "storeId": "<string>",
        "code": "123",
        "fullCode": "C#123",
        "userId": "<string>",
        "createdAt": "2020-01-01T00:00:00.000Z",
        "address": {
          "_id": "<string>",
          "placeId": "<string>",
          "address": "Av. Apoquindo 3000",
          "addressLine2": "Depto 1201",
          "addressSecondary": "<string>",
          "location": {
            "lat": -33.4489,
            "lng": -70.6693
          }
        },
        "menuId": "<string>",
        "deliverAt": "2020-01-01T00:00:00.000Z",
        "timeText": "<string>",
        "paymentType": "<string>",
        "paymentTypeLabel": "<string>",
        "paymentTypeIsIntegration": true,
        "tipAmount": 123,
        "amountToPay": 123,
        "deliveryFee": 123,
        "deliveryFeeWithoutDiscount": 123,
        "serviceFee": 123,
        "itemsPrice": 123,
        "totalPrice": 123,
        "baseItemsPrice": 123,
        "baseTotalPrice": 123,
        "itemsPriceBeforeDiscountsAfterProductDiscount": 123,
        "totalPriceBeforeDiscountsAfterProductDiscount": 123,
        "discountedAmountAfterProductDiscount": 123,
        "justoCoinsDiscount": 123,
        "websiteCoinsDiscount": 123,
        "totalDiscount": 123,
        "amountFinancedByWebsite": 123,
        "amountFinancedByJusto": 123,
        "expectedPreparationDuration": 123,
        "deliveryDuration": 123,
        "cashAmount": 123,
        "source": "<string>",
        "buyerName": "<string>",
        "phone": "<string>",
        "email": "<string>",
        "couponId": "<string>",
        "couponName": "<string>",
        "couponCode": "<string>",
        "couponExternalId": "<string>",
        "couponDiscount": 123,
        "couponPercentageOff": 123,
        "couponType": "<string>",
        "promotionDiscount": 123,
        "promotionIds": [
          "<string>"
        ],
        "flagColor": "<string>",
        "items": [
          {
            "_id": "<string>",
            "product": {
              "_id": "<string>",
              "name": "Hamburguesa",
              "externalId": "<string>",
              "metadata": {},
              "priceMetadata": {}
            },
            "unitPrice": 5990,
            "baseUnitPrice": 5990,
            "productPrice": 5990,
            "baseProductPrice": 5990,
            "amount": 2,
            "comment": "<string>",
            "description": "Bebida: Coca Zero - Comentario: \"Sin cebolla\"",
            "promotionId": "<string>",
            "promotionDiscount": 123,
            "promotionType": "<string>",
            "promotionLabel": "<string>",
            "modifiers": [
              {
                "modifierId": "<string>",
                "externalId": "<string>",
                "name": "Agregados",
                "shortName": "<string>",
                "metadata": {},
                "description": "<string>",
                "countById": {},
                "countByExternalId": {},
                "options": [
                  {
                    "optionId": "<string>",
                    "name": "Queso",
                    "price": 1000,
                    "externalId": "<string>",
                    "metadata": {},
                    "priceMetadata": {}
                  }
                ]
              }
            ]
          }
        ],
        "transaction": {
          "_id": "<string>",
          "totalPrice": 123,
          "paymentType": "<string>",
          "cardType": "<string>",
          "cardLast4": "<string>",
          "status": "<string>"
        },
        "deliveries": [
          {
            "_id": "<string>",
            "price": 2500,
            "placeName": "<string>",
            "isCash": true,
            "instructions": "<string>",
            "driverPassword": "5366",
            "fromLocation": {
              "lat": -33.4489,
              "lng": -70.6693
            },
            "toLocation": {
              "lat": -33.4489,
              "lng": -70.6693
            },
            "trackingURL": "<string>",
            "orderId": "<string>",
            "activatesAt": "2020-01-01T00:00:00.000Z",
            "createdAt": "2020-01-01T00:00:00.000Z",
            "forDate": "2020-01-01T00:00:00.000Z",
            "nearStoreAt": "2020-01-01T00:00:00.000Z",
            "pickupAt": "2020-01-01T00:00:00.000Z",
            "nearClientAt": "2020-01-01T00:00:00.000Z",
            "completedAt": "2020-01-01T00:00:00.000Z",
            "canceledAt": "2020-01-01T00:00:00.000Z",
            "deliveryExpectedAt": "2020-01-01T00:00:00.000Z",
            "estimatedArrivalAtStoreAt": "2020-01-01T00:00:00.000Z",
            "driverReceivedAt": "2020-01-01T00:00:00.000Z",
            "driverInformation": {},
            "deliveryInformation": {},
            "externalId": "<string>",
            "specialCode": "<string>"
          }
        ],
        "orderParams": {},
        "hasManagedDelivery": true,
        "gift": {},
        "billing": {},
        "cancellationInfo": {},
        "deliveryZoneName": "<string>"
      }
    ],
    "hasNextPage": true,
    "hasPreviousPage": true,
    "totalPages": 123,
    "totalCount": 123
  }
}
{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter
string

Un texto que se usa para filtrar por código de pedido o nombre del comprador.

storesIds
string[]

Un arreglo con el ID o ID externo de los locales.

fromDate
string<date-time>

Incluir pedidos desde alguna fecha.

toDate
string<date-time>

Incluir pedidos hasta alguna fecha.

orderStatuses
enum<string>[]

Muestra los pedidos que tengan estos estados.

Available options:
pending,
waiting,
preparing,
delivering,
done,
cancelled,
scheduled
useDeliverAt
boolean

Si es verdadero, ordena y filtra los pedidos por fecha de entrega. Si es falso, usa fecha de creación.

includeNotPaid
boolean

Si es verdadero, incluye pedidos con pago no completado (paymentStatus distinto de done).

page
number

Número de página.

Example:

1

limit
number

Número de items por página. Max 100. Por defecto: 10.

Example:

10

Response

The OpenAPI spec

success
boolean
Example:

true

data
object